org.springframework.cloud.dataflow.server.repository.support

## Class SqlPagingQueryProviderFactoryBean

- java.lang.Object
- - org.springframework.cloud.dataflow.server.repository.support.SqlPagingQueryProviderFactoryBean

- All Implemented Interfaces:
    org.springframework.beans.factory.FactoryBean<PagingQueryProvider>

      public class SqlPagingQueryProviderFactoryBean
      extends Object
      implements org.springframework.beans.factory.FactoryBean<PagingQueryProvider>

  Factory bean for `PagingQueryProvider` interface. The database type will be determined from the data source if not provided explicitly. Valid types are given by the `DatabaseType` enum.
  Author:
    Glenn Renfro

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.beans.factory.FactoryBean

      `OBJECT_TYPE_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SqlPagingQueryProviderFactoryBean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PagingQueryProvider` | `getObject()` Get a `PagingQueryProvider` instance using the provided properties and appropriate for the given database type.
    `Class<PagingQueryProvider>` | `getObjectType()` Always returns `PagingQueryProvider`.
    `boolean` | `isSingleton()` Always returns true.
    `void` | `setDatabaseType(String databaseType)`
    `void` | `setDataSource(DataSource dataSource)`
    `void` | `setFromClause(String fromClause)`
    `void` | `setSelectClause(String selectClause)`
    `void` | `setSortKeys(Map<String,Order> sortKeys)`
    `void` | `setWhereClause(String whereClause)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SqlPagingQueryProviderFactoryBean

          public SqlPagingQueryProviderFactoryBean()

  - ### Method Detail

    - #### setDatabaseType

          public void setDatabaseType(String databaseType)

      Parameters:
        `databaseType` - the databaseType to set

    - #### setDataSource

          public void setDataSource(DataSource dataSource)

      Parameters:
        `dataSource` - the dataSource to set

    - #### setFromClause

          public void setFromClause(String fromClause)

      Parameters:
        `fromClause` - the fromClause to set

    - #### setWhereClause

          public void setWhereClause(String whereClause)

      Parameters:
        `whereClause` - the whereClause to set

    - #### setSelectClause

          public void setSelectClause(String selectClause)

      Parameters:
        `selectClause` - the selectClause to set

    - #### setSortKeys

          public void setSortKeys(Map<String,Order> sortKeys)

      Parameters:
        `sortKeys` - the sortKeys to set

    - #### getObject

          public PagingQueryProvider getObject()
                                        throws Exception

      Get a `PagingQueryProvider` instance using the provided properties and appropriate for the given database type.
      Specified by:
        `getObject` in interface `org.springframework.beans.factory.FactoryBean<PagingQueryProvider>`
      Throws:
        `Exception`
      See Also:
        `FactoryBean.getObject()`

    - #### getObjectType

          public Class<PagingQueryProvider> getObjectType()

      Always returns `PagingQueryProvider`.
      Specified by:
        `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<PagingQueryProvider>`
      See Also:
        `FactoryBean.getObjectType()`

    - #### isSingleton

          public boolean isSingleton()

      Always returns true.
      Specified by:
        `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<PagingQueryProvider>`
      See Also:
        `FactoryBean.isSingleton()`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.